> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling 1.0

> High-control model with 10s duration.

## Pricing

<Note>Fixed API prices in USD.</Note>

| Mode |        Price |
| ---- | -----------: |
| std  | \$0.0221/sec |
| pro  | \$0.0772/sec |

<Accordion title="Deprecated request aliases">
  These aliases are accepted for compatibility only and are not shown in the request schema.

  | Deprecated      | Use instead      | Accepted until |
  | --------------- | ---------------- | -------------- |
  | `startImage`    | `start_image`    | 2026-06-19     |
  | `aspectRatio`   | `aspect_ratio`   | 2026-06-19     |
  | `cameraControl` | `camera_control` | 2026-06-19     |
  | `endImage`      | `end_image`      | 2026-06-19     |
</Accordion>


## OpenAPI

````yaml https://api.krea.ai/openapi.json post /generate/video/kling/kling-1
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
paths:
  /generate/video/kling/kling-1:
    post:
      tags:
        - Video
      summary: Kling 1.0
      description: High-control model with 10s duration.
      parameters:
        - name: X-Webhook-URL
          in: header
          required: false
          schema:
            type: string
            format: uri
          description: >-
            URL to receive a POST request when the job completes. The webhook
            will receive the job data including results.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                prompt:
                  type: string
                start_image:
                  type: string
                  format: uri
                aspect_ratio:
                  type: string
                  enum:
                    - '16:9'
                    - '9:16'
                    - '1:1'
                  default: '16:9'
                duration:
                  anyOf:
                    - type: number
                      const: 5
                    - type: number
                      const: 10
                  default: 5
                camera_control:
                  oneOf:
                    - type: object
                      properties:
                        type:
                          type: string
                          const: simple
                        config:
                          type: object
                          properties:
                            zoom:
                              type: number
                              minimum: -10
                              maximum: 10
                            roll:
                              type: number
                              minimum: -10
                              maximum: 10
                            pan:
                              type: number
                              minimum: -10
                              maximum: 10
                            tilt:
                              type: number
                              minimum: -10
                              maximum: 10
                            vertical:
                              type: number
                              minimum: -10
                              maximum: 10
                            horizontal:
                              type: number
                              minimum: -10
                              maximum: 10
                      required:
                        - type
                    - type: object
                      properties:
                        type:
                          type: string
                          const: down_back
                        config:
                          type: 'null'
                          default: null
                      required:
                        - type
                    - type: object
                      properties:
                        type:
                          type: string
                          const: forward_up
                        config:
                          type: 'null'
                          default: null
                      required:
                        - type
                    - type: object
                      properties:
                        type:
                          type: string
                          const: right_turn_forward
                        config:
                          type: 'null'
                          default: null
                      required:
                        - type
                    - type: object
                      properties:
                        type:
                          type: string
                          const: left_turn_forward
                        config:
                          type: 'null'
                          default: null
                      required:
                        - type
                end_image:
                  type: string
                  format: uri
                mode:
                  type: string
                  enum:
                    - std
                    - pro
                  default: std
              required:
                - prompt
              additionalProperties: false
            example:
              prompt: >-
                Cliffside village, aerial views of soaring dragons, channeling
                high-fantasy anime aesthetics.
      responses:
        '200':
          description: >-
            The resulting job data. This will be returned in a pending state
            until the job is completed. See
            [`/jobs/{id}`](#tag/default/get/jobs/{id}) for retrieving the
            results.
          content:
            application/json:
              schema:
                type: object
                properties:
                  job_id:
                    type: string
                    format: uuid
                  status:
                    type: string
                    enum:
                      - backlogged
                      - queued
                      - scheduled
                      - processing
                      - sampling
                      - intermediate-complete
                      - completed
                      - failed
                      - cancelled
                  created_at:
                    type: string
                    format: date-time
                  completed_at:
                    type: 'null'
                  result:
                    type: 'null'
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                required:
                  - job_id
                  - status
                  - created_at
                  - completed_at
                  - result
        '400':
          description: The request body is invalid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '401':
          description: You are not authenticated.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '402':
          description: You have run out of credits.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '429':
          description: You have reached the maximum number of concurrent jobs.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````